#include <iostream>
#include<bits/stdc++.h>

using namespace std;
void zameni(int a[],int x,int y)
{
    int pom=a[x];
    a[x]=a[y];
    a[y]=pom;
}
int podeli(int a[],int l,int d)
{
    int pivot=l,k=l,i;
    for(int i=l+1;i<=d; i++)
    {
        if(a[i]<=a[pivot])
        {
            k++;
            zameni(a,i,k);
        }
    }
    zameni(a,pivot,k);
    return k;
}
int RandomPivot(int a[], int l, int d)
{
int pivot, n;
n = rand();
pivot = l + n%(d-l+1);
zameni(a,d,pivot);
return podeli(a, l, d);
}
void quick(int a[],int l, int d)
{
    if(l<d)
    {
        int poz=RandomPivot(a,l,d);
        quick(a,l,poz-1);
        quick(a,poz+1,d);
    }
}

void quiksort(int a[],int n)
{
    quick(a,0,n-1);

}

int main()
{
    int n,k,br=1,t=0;
    cin>>n>>k;
    int a[n];
    int b[n];
    for(int i=0; i<n; i++)
        cin>>a[i];
   sort(a,a+n);
     for(int i=0; i<n; i++)
        {
            if(a[i]==a[i+1])
            {
                br++;
            if(br==k)
            {
             b[t]=a[i];
             t++;
            }
            if(a[i]!=a[i-1])
            br=0;
        }
        }
        cout<<t<<endl;
        for(int i=0; i<t; i++)
            cout<<b[i]<<" ";

}